# kdeui Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KWritePermsIcon Class Reference

Auth icon for write permission display. More...

`#include <kauthicon.h>`

Inheritance diagram for KWritePermsIcon:

[legend]
Collaboration diagram for KWritePermsIcon:

[legend]
List of all members.

## Public Slots

void | updateStatus ()

## Public Member Functions

| KWritePermsIcon (const QString &fileName, QWidget *parent=0, const char *name=0)
bool | status () const
void | setFileName (const QString &fileName)
QString | fileName () const

## Protected Member Functions

virtual void | virtual_hook (int id, void *data)

## Protected Attributes

bool | writable
QFileInfo | fi

## Properties

QString | fileName

## Detailed Description

Auth icon for write permission display.

See also:
  KAuthIcon

Author:
  Preston Brown <pbrown@kde.org>

Definition at line 135 of file kauthicon.h.

## Member Function Documentation

bool KWritePermsIcon::status | ( |  | ) | const`[inline, virtual]`

Returns:
  whether or not the monitored file is writable.

Implements KAuthIcon.

Definition at line 146 of file kauthicon.h.

void KWritePermsIcon::setFileName | ( | const QString & | fileName | ) | `[inline]`

make the icon watch a new filename.

Parameters:

  | fileName | the new file to monitor / display status for.

Definition at line 152 of file kauthicon.h.

References KAuthIcon::updateStatus().

QString KWritePermsIcon::fileName | ( |  | ) | const`[inline]`

return the filename of the currently watched file.

Since:
  3.4

Definition at line 158 of file kauthicon.h.

void KWritePermsIcon::updateStatus | ( |  | ) | `[virtual, slot]`

| Re-implement this method if you want the icon to update itself when something external has changed (i.e. a file on disk, uid/gid). Implements KAuthIcon. Definition at line 181 of file kauthicon.cpp. References KAuthIcon::authChanged(), QFileInfo::isWritable(), QLabel::setPixmap(), QLabel::setText(), and QWidget::update().

The documentation for this class was generated from the following files:

- kauthicon.h
- kauthicon.cpp

This file is part of the documentation for kdeui Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:22:42 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003